#
# JSBSim and FlightGear environment in Ubuntu 20.04 Focal
#

FROM registry.gitlab.com/ant-x/tools/docker-px4/px4-dev-simulation-image:latest
LABEL maintainer="Mattia Giurato <mattia@antx.io>"

# Install JSBSim
RUN wget https://github.com/JSBSim-Team/jsbsim/releases/download/v1.1.1a/JSBSim-devel_1.1.1-134.focal.amd64.deb
RUN dpkg -i JSBSim-devel_1.1.1-134.focal.amd64.deb

# Install FlightGear
RUN add-apt-repository ppa:saiarcot895/flightgear
RUN apt-get update && apt-get install -y \
	flightgear \
	&& apt-get -y autoremove \
	&& apt-get clean autoclean \
	&& rm -rf /var/lib/apt/lists/{apt,dpkg,cache,log} /tmp/* /var/tmp/*
RUN chmod a+w /usr/share/games/flightgear/Protocol

# Add /usr/games (fgfs installation location) to PATH
ENV PATH "/usr/games:$PATH"

RUN mkdir -p /tmp/runtime-user
RUN chown user /tmp/runtime-user
ENV XDG_RUNTIME_DIR "/tmp/runtime-user"
